summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--init.d.misc/openvpn.in2
-rw-r--r--init.d/bootmisc.in2
-rw-r--r--init.d/hostid.in2
-rw-r--r--init.d/local.in4
-rw-r--r--init.d/loopback.in2
-rw-r--r--init.d/pf.in2
-rwxr-xr-xscripts/on_ac_power2
-rw-r--r--sh/init-early.sh.Linux.in2
-rw-r--r--sh/rc-mount.sh2
-rwxr-xr-xsupport/openvpn/down.sh2
-rwxr-xr-xsupport/openvpn/up.sh2
11 files changed, 12 insertions, 12 deletions
diff --git a/init.d.misc/openvpn.in b/init.d.misc/openvpn.in
index 7915623..699fc04 100644
--- a/init.d.misc/openvpn.in
+++ b/init.d.misc/openvpn.in
@@ -53,7 +53,7 @@ start_pre()
eend $?
fi
else
- if type kldload >/dev/null 2>&1; then
+ if command -v kldload >/dev/null 2>&1; then
# Hammer the modules home by default
sysctl -a | grep -q '\.tun\.' || kldload if_tun
sysctl -a | grep -q '\.tap\.' || kldload if_tap
diff --git a/init.d/bootmisc.in b/init.d/bootmisc.in
index 526ebff..1b35a0a 100644
--- a/init.d/bootmisc.in
+++ b/init.d/bootmisc.in
@@ -68,7 +68,7 @@ cleanup_var_run_dir()
do
# Clean stale sockets
if [ -S "$x" ]; then
- if type fuser >/dev/null 2>&1; then
+ if command -v fuser >/dev/null 2>&1; then
fuser "$x" >/dev/null 2>&1 || rm -- "$x"
else
rm -- "$x"
diff --git a/init.d/hostid.in b/init.d/hostid.in
index e98ff91..ce5574b 100644
--- a/init.d/hostid.in
+++ b/init.d/hostid.in
@@ -40,7 +40,7 @@ reset()
{
local uuid= x="[0-9a-f]" y="$x$x$x$x"
- if type kenv >/dev/null 2>&1; then
+ if command -v kenv >/dev/null 2>&1; then
uuid=$(kenv smbios.system.uuid 2>/dev/null)
fi
case "$uuid" in
diff --git a/init.d/local.in b/init.d/local.in
index fb2f9b1..e82d3cc 100644
--- a/init.d/local.in
+++ b/init.d/local.in
@@ -19,7 +19,7 @@ start()
[ -x "$file" ] && "$file"
done
- if type local_start >/dev/null 2>&1; then
+ if command -v local_start >/dev/null 2>&1; then
ewarn "@SYSCONFDIR@/conf.d/local should be removed."
ewarn "Please move the code from the local_start function"
ewarn "to scripts with an .start extension"
@@ -39,7 +39,7 @@ stop()
[ -x "$file" ] && "$file"
done
- if type local_start >/dev/null 2>&1; then
+ if command -v local_stop >/dev/null 2>&1; then
ewarn "@SYSCONFDIR@/conf.d/local should be removed."
ewarn "Please move the code from the local_stop function"
ewarn "to scripts with an .stop extension"
diff --git a/init.d/loopback.in b/init.d/loopback.in
index 0139b56..6267ec4 100644
--- a/init.d/loopback.in
+++ b/init.d/loopback.in
@@ -13,7 +13,7 @@ start()
{
if [ "$RC_UNAME" = Linux ]; then
ebegin "Bringing up network interface lo"
- if type ip > /dev/null 2>&1; then
+ if command -v ip > /dev/null 2>&1; then
ip addr add 127.0.0.1/8 dev lo brd + scope host
ip route add 127.0.0.0/8 dev lo scope host
ip link set lo up
diff --git a/init.d/pf.in b/init.d/pf.in
index aed6539..a8b301d 100644
--- a/init.d/pf.in
+++ b/init.d/pf.in
@@ -17,7 +17,7 @@ depend() {
start()
{
ebegin "Starting $name"
- if type kldload >/dev/null 2>&1; then
+ if command -v kldload >/dev/null 2>&1; then
kldload pf 2>/dev/null
fi
pfctl -q -F all
diff --git a/scripts/on_ac_power b/scripts/on_ac_power
index 5dd516f..b35094f 100755
--- a/scripts/on_ac_power
+++ b/scripts/on_ac_power
@@ -19,7 +19,7 @@ elif [ -f /proc/pmu/info ]; then
"AC Power"*": 0") exit 128;;
esac
done
-elif type envstat >/dev/null 2>&1; then
+elif command -v envstat >/dev/null 2>&1; then
# NetBSD has envstat
envstat -d acpiacad0 2>/dev/null | while read line; do
case "$line" in
diff --git a/sh/init-early.sh.Linux.in b/sh/init-early.sh.Linux.in
index 9270e7f..a4116fc 100644
--- a/sh/init-early.sh.Linux.in
+++ b/sh/init-early.sh.Linux.in
@@ -31,7 +31,7 @@ if service_present "$RC_DEFAULTLEVEL" consolefont ||
service_present "$RC_BOOTLEVEL" consolefont; then
printf "\033%s" "$termencoding" >"$CONSOLE" 2>/dev/null
if [ -r "$RC_LIBEXECDIR"/console/font ] && \
- type setfont > /dev/null 2>&1; then
+ command -v setfont > /dev/null 2>&1; then
[ -c "$CONSOLE" ] && cons="-C $CONSOLE"
setfont $cons "$RC_LIBEXECDIR"/console/font 2>/dev/null
fi
diff --git a/sh/rc-mount.sh b/sh/rc-mount.sh
index 454f9f9..cd5d0f7 100644
--- a/sh/rc-mount.sh
+++ b/sh/rc-mount.sh
@@ -40,7 +40,7 @@ do_unmount()
retry=4 # Effectively TERM, sleep 1, TERM, sleep 1, KILL, sleep 1
while ! LC_ALL=C $cmd "$mnt" 2>/dev/null; do
- if type fuser >/dev/null 2>&1; then
+ if command -v fuser >/dev/null 2>&1; then
pids="$(timeout -k 10 -s KILL "${rc_fuser_timeout:-60}" \
fuser $f_opts "$mnt" 2>/dev/null)"
fi
diff --git a/support/openvpn/down.sh b/support/openvpn/down.sh
index 93dd53c..b94862b 100755
--- a/support/openvpn/down.sh
+++ b/support/openvpn/down.sh
@@ -6,7 +6,7 @@
[ -x "${RC_SVCNAME}"-down.sh ] && "${RC_SVCNAME}"-down.sh
# Restore resolv.conf to how it was
-if type resolvconf >/dev/null 2>&1; then
+if command -v resolvconf >/dev/null 2>&1; then
resolvconf -d "${dev}"
elif [ -e /etc/resolv.conf-"${dev}".sv ]; then
# Important that we copy instead of move incase resolv.conf is
diff --git a/support/openvpn/up.sh b/support/openvpn/up.sh
index f207dce..8e21069 100755
--- a/support/openvpn/up.sh
+++ b/support/openvpn/up.sh
@@ -45,7 +45,7 @@ if [ -n "${NS}" ]; then
DNS="${DNS}domain ${DOMAIN}\n"
fi
DNS="${DNS}${NS}"
- if type resolvconf >/dev/null 2>&1; then
+ if command -v resolvconf >/dev/null 2>&1; then
printf "${DNS}" | resolvconf -a "${dev}"
else
# Preserve the existing resolv.conf